## imcode.server.document
Class UrlDocumentDomainObject

    java.lang.Object
      imcode.server.document.DocumentDomainObject
          imcode.server.document.UrlDocumentDomainObject

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class UrlDocumentDomainObject

extends DocumentDomainObject

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class imcode.server.document.DocumentDomainObject
`DocumentDomainObject.Attributes`

Field Summary

Fields inherited from class imcode.server.document.DocumentDomainObject
`attributes, DOCUMENT_PROPERTIES__IMCMS_DOCUMENT_ALIAS, ID_NEW`

Constructor Summary
`UrlDocumentDomainObject()`

Method Summary
`void` `accept(DocumentVisitor documentVisitor)`
`DocumentTypeDomainObject` `getDocumentType()`
`java.lang.String` `getUrl()`
`void` `setUrl(java.lang.String url)`

Methods inherited from class imcode.server.document.DocumentDomainObject

`addCategoryId, addSectionId, clone, equals, fromDocumentTypeId, getActualModifiedDatetime, getAlias, getArchivedDatetime, getAttributes, getCategoryIds, getCreatedDatetime, getCreatorId, getDocumentPermissionSetTypeForRoleId, getDocumentTypeId, getDocumentTypeName, getHeadline, getHeadline, getI18nMeta, getId, getKeywords, getKeywords, getLanguageIso639_2, getLifeCyclePhase, getMenuImage, getMenuImage, getMenuText, getMenuText, getMeta, getModifiedDatetime, getName, getPermissionSets, getPermissionSetsForNewDocuments, getProperties, getProperty, getPublicationEndDatetime, getPublicationStartDatetime, getPublicationStatus, getPublisherId, getRoleIdsMappedToDocumentPermissionSetTypes, getSectionIds, getTarget, hashCode, isActive, isArchived, isLinkableByOtherUsers, isLinkedForUnauthorizedUsers, isPublished, isRestrictedOneMorePrivilegedThanRestrictedTwo, isSearchDisabled, removeAllCategories, removeAllSections, removeCategoryId, removeProperty, setActualModifiedDatetime, setAlias, setArchivedDatetime, setAttributes, setCategoryIds, setCreatedDatetime, setCreator, setCreatorId, setDependenciesMetaIdToNull, setDocumentPermissionSetTypeForRoleId, setHeadline, setHeadline, setId, setKeywords, setLanguageIso639_2, setLinkableByOtherUsers, setLinkedForUnauthorizedUsers, setMenuImage, setMenuText, setMenuText, setMeta, setModifiedDatetime, setPermissionSets, setPermissionSetsForNew, setProperties, setProperty, setPublicationEndDatetime, setPublicationStartDatetime, setPublicationStatus, setPublisher, setPublisherId, setRestrictedOneMorePrivilegedThanRestrictedTwo, setRoleIdsMappedToDocumentPermissionSetTypes, setSearchDisabled, setSectionIds, setTarget`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UrlDocumentDomainObject

    public UrlDocumentDomainObject()

Method Detail

### getUrl

    public java.lang.String getUrl()

### setUrl

    public void setUrl(java.lang.String url)

### getDocumentType

    public DocumentTypeDomainObject getDocumentType()

  Specified by:
    `getDocumentType` in class `DocumentDomainObject`

### accept

    public void accept(DocumentVisitor documentVisitor)

  Specified by:
    `accept` in class `DocumentDomainObject`